MP4(3)

NAME

MP4GetTrackVideoType - Get the encoding type of a video track

SYNTAX

#include <mp4.h>

u_int8_t MP4GetTrackVideoType(
    MP4FileHandle hFile,
    MP4TrackId trackId
)

ARGUMENTS

hFile
    Specifies the mp4 file to which the operation applies.

trackId
    Specifies the track for which the video type is desired.

RETURN VALUES

Upon success, the video type of the track. Upon error, MP4_INVALID_VIDEO_TYPE is returned.

DESCRIPTION

MP4GetTrackVideoType returns the encoding type of the specified video track in the mp4 file.

Known video encoding types are:

MP4_MPEG1_VIDEO_TYPE
    MPEG-1 Video

MP4_MPEG2_SIMPLE_VIDEO_TYPE
    MPEG-2 Simple Profile Video

MP4_MPEG2_MAIN_VIDEO_TYPE
    MPEG-2 Main Profile Video (Broadcast/DVD)

MP4_MPEG2_SNR_VIDEO_TYPE
    MPEG-2 SNR Profile Video

MP4_MPEG2_SPATIAL_VIDEO_TYPE
    MPEG-2 Spatial Scalability Profile Video

MP4_MPEG2_HIGH_VIDEO_TYPE
    MPEG-2 High Profile Video (HDTV)

MP4_MPEG2_442_VIDEO_TYPE
    MPEG-2 442 Profile Video (Studio)

MP4_MPEG4_VIDEO_TYPE
    MPEG-4 Video

MP4_JPEG_VIDEO_TYPE
    JPEG stills or motion JPEG

MP4_PRIVATE_VIDEO_TYPE
    User private type

SEE ALSO

MP4(3) MP4AddVideoTrack(3)